Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::WindowGroup Class Reference

A GtkWindowGroup C++ wrapper class. More...

`#include <xfc/gtk/window.hh>`

Inheritance diagram for Xfc::Gtk::WindowGroup:

List of all members.

## Public Member Functions

Constructors

- WindowGroup ()
    Constructs a new window group object with a reference count of 1 that the caller owns.
- virtual ~WindowGroup ()
    Destructor.

Accessors

- GtkWindowGroup * gtk_window_group () const
    Get a pointer to the GtkWindowGroup structure.
- operator GtkWindowGroup * () const
    Conversion operator; safely converts a WindowGroup to a GtkWindowGroup pointer.

Methods

- void add_window (Window &window)
    Adds a window to the window group.
- void remove_window (Window &window)
    Removes a window from the window group.

## Protected Member Functions

Constructors

- WindowGroup (GtkWindowGroup *group, bool owns_reference=false)
    Construct a new WindowGroup from an existing GtkWindowGroup.

## Detailed Description

A GtkWindowGroup C++ wrapper class.

Note: dynamically allocated objects must either be unreferenced or assigned to a smart pointer. Stack objects are automatically unreferenced when they go out of scope.

## Constructor & Destructor Documentation

Xfc::Gtk::WindowGroup::WindowGroup | ( | GtkWindowGroup * | group,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new WindowGroup from an existing GtkWindowGroup.

Parameters:

  | group | A pointer to a GtkWindowGroup.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The group can be a newly created GtkWindowGroup or an existing GtkWindowGroup (see G::Object::Object).

Xfc::Gtk::WindowGroup::WindowGroup | ( |  | ) |

| Constructs a new window group object with a reference count of 1 that the caller owns. Grabs added with add() only affect windows within the same window group.

## Member Function Documentation

void Xfc::Gtk::WindowGroup::add_window | ( | Window & | window | ) |

Adds a window to the window group.

Parameters:

  | window | The Window to add.

void Xfc::Gtk::WindowGroup::remove_window | ( | Window & | window | ) |

Removes a window from the window group.

Parameters:

  | window | The Window to remove.

The documentation for this class was generated from the following file:

- gtk/window.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3